## org.eclipse.jst.ws.jaxws.dom.runtime.api
Class WsDOMLoadCanceledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.jst.ws.jaxws.dom.runtime.api.WsDOMLoadCanceledException

All Implemented Interfaces:
  java.io.Serializable

    public class WsDOMLoadCanceledException

extends java.lang.Exception

Exception thrown in case the loading of WS DOM has been cancelled

Author:
  Georgi Vachkov
See Also:
  Serialized Form

Constructor Summary
`WsDOMLoadCanceledException(java.lang.String message, java.lang.String localizedMessage)` Constructs exception with ability to provide localized message

Method Summary
`java.lang.String` `getLocalizedMessage()` Returns localized message with which the exception was constructed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WsDOMLoadCanceledException

    public WsDOMLoadCanceledException(java.lang.String message,
                                      java.lang.String localizedMessage)

  Constructs exception with ability to provide localized message

  Parameters:
    `message` - - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
    `localizedMessage` - - the localized message (which is saved for later retrieval by the `getLocalizedMessage()` method)
  Throws:
    `java.lang.NullPointerException` - - in case localised message is null

Method Detail

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Returns localized message with which the exception was constructed.

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`